<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src/ButtonBehaviours.h Source File</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ButtonBehaviours.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_button_behaviours_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef BUTTON_BEHAVIOUR_h</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define BUTTON_BEHAVIOUR_h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;Arduino.h&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_behaviours_8h.html">Behaviours.h</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_button_8h.html">Button.h</a>&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_viz_blocks_8h.html">VizBlocks.h</a>&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="class_button_pressed.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_button_pressed.html">ButtonPressed</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="class_button_pressed.html#a02ec90b25dff124e0fbcbd3101ad61fd">   25</a></span>&#160;    <a class="code" href="class_button_pressed.html#a02ec90b25dff124e0fbcbd3101ad61fd">ButtonPressed</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;ButtonPressed&quot;</span>);</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="class_button_pressed.html#aa157f2034d16625c5322a7846e61af85">   26</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_button_pressed.html#aa157f2034d16625c5322a7846e61af85">args</a>();</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_button_pressed.html#ae6bd011c8b9801ed372b957a82d5256f">   27</a></span>&#160;    String <a class="code" href="class_button_pressed.html#ae6bd011c8b9801ed372b957a82d5256f">start</a>(String <a class="code" href="class_button_pressed.html#aa157f2034d16625c5322a7846e61af85">args</a>);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="class_button_released.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_button_released.html">ButtonReleased</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="class_button_released.html#a72fd25929fbe5faa66f0a7ffe3628811">   40</a></span>&#160;    <a class="code" href="class_button_released.html#a72fd25929fbe5faa66f0a7ffe3628811">ButtonReleased</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;ButtonReleased&quot;</span>);</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="class_button_released.html#adf6e9a6d53fae411656d8059d87e8daf">   41</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_button_released.html#adf6e9a6d53fae411656d8059d87e8daf">args</a>();</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="class_button_released.html#ad555a0e31d0b286dd75545f7759307fc">   42</a></span>&#160;    String <a class="code" href="class_button_released.html#ad555a0e31d0b286dd75545f7759307fc">start</a>(String <a class="code" href="class_button_released.html#adf6e9a6d53fae411656d8059d87e8daf">args</a>);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="class_button_clicked.html">   50</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_button_clicked.html">ButtonClicked</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;{</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="class_button_clicked.html#a0001653abed07531b64e3f5bc2eec91b">   55</a></span>&#160;    <a class="code" href="class_button_clicked.html#a0001653abed07531b64e3f5bc2eec91b">ButtonClicked</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;ButtonClicked&quot;</span>);</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="class_button_clicked.html#afad90972997311c478dc50f25751160d">   56</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_button_clicked.html#afad90972997311c478dc50f25751160d">args</a>();</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="class_button_clicked.html#a5079ef38b22d78e72e66a13b5d8936a8">   57</a></span>&#160;    String <a class="code" href="class_button_clicked.html#a5079ef38b22d78e72e66a13b5d8936a8">start</a>(String <a class="code" href="class_button_clicked.html#afad90972997311c478dc50f25751160d">args</a>);</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;};</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="class_button_held.html">   65</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_button_held.html">ButtonHeld</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;{</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="class_button_held.html#abc2a5426a7e1ed7929053a94f34a392f">   70</a></span>&#160;    <a class="code" href="class_button_held.html#abc2a5426a7e1ed7929053a94f34a392f">ButtonHeld</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;ButtonHeld&quot;</span>);</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="class_button_held.html#af60b3ecca59adfb0426e9baa146b3d7e">   71</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_button_held.html#af60b3ecca59adfb0426e9baa146b3d7e">args</a>();</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="class_button_held.html#a2ebd89985ab996459adc2c97b9f462a8">   72</a></span>&#160;    String <a class="code" href="class_button_held.html#a2ebd89985ab996459adc2c97b9f462a8">start</a>(String <a class="code" href="class_button_held.html#af60b3ecca59adfb0426e9baa146b3d7e">args</a>);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;};</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="class_button_tick.html">   80</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_button_tick.html">ButtonTick</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;{</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="class_button_tick.html#ac0ecbf8631975a98e83852ae8e0c5b36">   85</a></span>&#160;    <a class="code" href="class_button_tick.html#ac0ecbf8631975a98e83852ae8e0c5b36">ButtonTick</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;ButtonTick&quot;</span>);</div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="class_button_tick.html#a0b9b56685acb47c96245af0d26206ba5">   86</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_button_tick.html#a0b9b56685acb47c96245af0d26206ba5">args</a>();</div>
<div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="class_button_tick.html#a2315e24cbbfff47c9aae35529a766f76">   87</a></span>&#160;    String <a class="code" href="class_button_tick.html#a2315e24cbbfff47c9aae35529a766f76">start</a>(String <a class="code" href="class_button_tick.html#a0b9b56685acb47c96245af0d26206ba5">args</a>);</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="a_behaviours_8h_html"><div class="ttname"><a href="_behaviours_8h.html">Behaviours.h</a></div><div class="ttdoc">Functionality for block behaviours.</div></div>
<div class="ttc" id="a_button_8h_html"><div class="ttname"><a href="_button_8h.html">Button.h</a></div><div class="ttdoc">Event-driven button functionality. This file contains a class for an event-driven button input....</div></div>
<div class="ttc" id="a_viz_blocks_8h_html"><div class="ttname"><a href="_viz_blocks_8h.html">VizBlocks.h</a></div><div class="ttdoc">Contains everything you need to get started.</div></div>
<div class="ttc" id="aclass_behaviour_html"><div class="ttname"><a href="class_behaviour.html">Behaviour</a></div><div class="ttdoc">Parent class for all other behaviours.</div><div class="ttdef"><b>Definition:</b> Behaviours.h:20</div></div>
<div class="ttc" id="aclass_behaviour_html_a766009be6f0ed1acd74d4ba5c138a7bd"><div class="ttname"><a href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">Behaviour::name</a></div><div class="ttdeci">virtual String name()</div></div>
<div class="ttc" id="aclass_button_clicked_html"><div class="ttname"><a href="class_button_clicked.html">ButtonClicked</a></div><div class="ttdoc">Behaviour that publishes a &quot;ButtonClicked&quot; message to the block's announcment topic of the MQQT broke...</div><div class="ttdef"><b>Definition:</b> ButtonBehaviours.h:51</div></div>
<div class="ttc" id="aclass_button_clicked_html_a0001653abed07531b64e3f5bc2eec91b"><div class="ttname"><a href="class_button_clicked.html#a0001653abed07531b64e3f5bc2eec91b">ButtonClicked::ButtonClicked</a></div><div class="ttdeci">ButtonClicked(VizBlock *node, String name=&quot;ButtonClicked&quot;)</div></div>
<div class="ttc" id="aclass_button_clicked_html_a5079ef38b22d78e72e66a13b5d8936a8"><div class="ttname"><a href="class_button_clicked.html#a5079ef38b22d78e72e66a13b5d8936a8">ButtonClicked::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_button_clicked_html_afad90972997311c478dc50f25751160d"><div class="ttname"><a href="class_button_clicked.html#afad90972997311c478dc50f25751160d">ButtonClicked::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_button_held_html"><div class="ttname"><a href="class_button_held.html">ButtonHeld</a></div><div class="ttdoc">Behaviour that publishes a &quot;ButtonHeld&quot; message to the block's announcment topic of the MQQT broker.</div><div class="ttdef"><b>Definition:</b> ButtonBehaviours.h:66</div></div>
<div class="ttc" id="aclass_button_held_html_a2ebd89985ab996459adc2c97b9f462a8"><div class="ttname"><a href="class_button_held.html#a2ebd89985ab996459adc2c97b9f462a8">ButtonHeld::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_button_held_html_abc2a5426a7e1ed7929053a94f34a392f"><div class="ttname"><a href="class_button_held.html#abc2a5426a7e1ed7929053a94f34a392f">ButtonHeld::ButtonHeld</a></div><div class="ttdeci">ButtonHeld(VizBlock *node, String name=&quot;ButtonHeld&quot;)</div></div>
<div class="ttc" id="aclass_button_held_html_af60b3ecca59adfb0426e9baa146b3d7e"><div class="ttname"><a href="class_button_held.html#af60b3ecca59adfb0426e9baa146b3d7e">ButtonHeld::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_button_pressed_html"><div class="ttname"><a href="class_button_pressed.html">ButtonPressed</a></div><div class="ttdoc">Behaviour that publishes a &quot;ButtonPressed&quot; message to the block's announcment topic of the MQQT broke...</div><div class="ttdef"><b>Definition:</b> ButtonBehaviours.h:21</div></div>
<div class="ttc" id="aclass_button_pressed_html_a02ec90b25dff124e0fbcbd3101ad61fd"><div class="ttname"><a href="class_button_pressed.html#a02ec90b25dff124e0fbcbd3101ad61fd">ButtonPressed::ButtonPressed</a></div><div class="ttdeci">ButtonPressed(VizBlock *node, String name=&quot;ButtonPressed&quot;)</div></div>
<div class="ttc" id="aclass_button_pressed_html_aa157f2034d16625c5322a7846e61af85"><div class="ttname"><a href="class_button_pressed.html#aa157f2034d16625c5322a7846e61af85">ButtonPressed::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_button_pressed_html_ae6bd011c8b9801ed372b957a82d5256f"><div class="ttname"><a href="class_button_pressed.html#ae6bd011c8b9801ed372b957a82d5256f">ButtonPressed::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_button_released_html"><div class="ttname"><a href="class_button_released.html">ButtonReleased</a></div><div class="ttdoc">Behaviour that publishes a &quot;ButtonReleased&quot; message to the block's announcment topic of the MQQT brok...</div><div class="ttdef"><b>Definition:</b> ButtonBehaviours.h:36</div></div>
<div class="ttc" id="aclass_button_released_html_a72fd25929fbe5faa66f0a7ffe3628811"><div class="ttname"><a href="class_button_released.html#a72fd25929fbe5faa66f0a7ffe3628811">ButtonReleased::ButtonReleased</a></div><div class="ttdeci">ButtonReleased(VizBlock *node, String name=&quot;ButtonReleased&quot;)</div></div>
<div class="ttc" id="aclass_button_released_html_ad555a0e31d0b286dd75545f7759307fc"><div class="ttname"><a href="class_button_released.html#ad555a0e31d0b286dd75545f7759307fc">ButtonReleased::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_button_released_html_adf6e9a6d53fae411656d8059d87e8daf"><div class="ttname"><a href="class_button_released.html#adf6e9a6d53fae411656d8059d87e8daf">ButtonReleased::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_button_tick_html"><div class="ttname"><a href="class_button_tick.html">ButtonTick</a></div><div class="ttdoc">Behaviour that publishes a &quot;ButtonTick&quot; message to the block's announcment topic of the MQQT broker.</div><div class="ttdef"><b>Definition:</b> ButtonBehaviours.h:81</div></div>
<div class="ttc" id="aclass_button_tick_html_a0b9b56685acb47c96245af0d26206ba5"><div class="ttname"><a href="class_button_tick.html#a0b9b56685acb47c96245af0d26206ba5">ButtonTick::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_button_tick_html_a2315e24cbbfff47c9aae35529a766f76"><div class="ttname"><a href="class_button_tick.html#a2315e24cbbfff47c9aae35529a766f76">ButtonTick::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_button_tick_html_ac0ecbf8631975a98e83852ae8e0c5b36"><div class="ttname"><a href="class_button_tick.html#ac0ecbf8631975a98e83852ae8e0c5b36">ButtonTick::ButtonTick</a></div><div class="ttdeci">ButtonTick(VizBlock *node, String name=&quot;ButtonTick&quot;)</div></div>
<div class="ttc" id="aclass_viz_block_html"><div class="ttname"><a href="class_viz_block.html">VizBlock</a></div><div class="ttdoc">The main VizBlock class.</div><div class="ttdef"><b>Definition:</b> VizBlocks.h:28</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
